## ros-image-pipeline 1.17.0

=== depth_image_proc/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(depth_image_proc)

find_package(catkin REQUIRED
  cmake_modules
  cv_bridge
  eigen_conversions
  image_geometry
  image_transport
  message_filters
  nodelet
  sensor_msgs
  stereo_msgs
  tf2
  tf2_ros
)

catkin_package(
    INCLUDE_DIRS include
    CATKIN_DEPENDS image_geometry sensor_msgs
    LIBRARIES ${PROJECT_NAME})

find_package(Boost REQUIRED)
find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
endif()
find_package(OpenCV REQUIRED)
include_directories(include ${BOOST_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/nodelets/convert_metric.cpp
                             src/nodelets/crop_foremost.cpp
                             src/nodelets/disparity.cpp
                             src/nodelets/point_cloud_xyz.cpp
                             src/nodelets/point_cloud_xyzrgb.cpp
                             src/nodelets/point_cloud_xyzi.cpp
                             src/nodelets/point_cloud_xyz_radial.cpp
                             src/nodelets/point_cloud_xyzi_radial.cpp
                             src/nodelets/point_cloud_xyzrgb_radial.cpp
                             src/nodelets/register.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h")

install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== image_pipeline/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_pipeline)
find_package(catkin REQUIRED)
catkin_metapackage()

=== image_proc/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_proc)

find_package(catkin REQUIRED)

find_package(catkin REQUIRED cv_bridge dynamic_reconfigure image_geometry image_transport nodelet nodelet_topic_tools roscpp sensor_msgs)
find_package(OpenCV REQUIRED)
find_package(Boost REQUIRED COMPONENTS thread)

# Dynamic reconfigure support
generate_dynamic_reconfigure_options(cfg/CropDecimate.cfg cfg/Debayer.cfg cfg/Rectify.cfg cfg/Resize.cfg)

catkin_package(
  CATKIN_DEPENDS image_geometry roscpp sensor_msgs
  DEPENDS OpenCV
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include ${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

# Temporary fix for DataType deprecation in OpenCV 3.3.1. We continue to use the deprecated form for now because
# the new one is not available in OpenCV 2.4 (on Trusty).
add_definitions(-DOPENCV_TRAITS_ENABLE_DEPRECATED)

# Nodelet library
add_library(${PROJECT_NAME} src/libimage_proc/processor.cpp
                                src/nodelets/debayer.cpp
                                src/nodelets/rectify.cpp
                                src/nodelets/resize.cpp
                                src/nodelets/crop_decimate.cpp
                                src/libimage_proc/advertisement_checker.cpp
                                src/nodelets/edge_aware.cpp
                                src/nodelets/crop_non_zero.cpp
)
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenCV_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Standalone node
add_executable(image_proc_exe src/nodes/image_proc.cpp)
target_link_libraries(image_proc_exe ${PROJECT_NAME}  ${Boost_LIBRARIES} ${OpenCV_LIBRARIES})
SET_TARGET_PROPERTIES(image_proc_exe PROPERTIES OUTPUT_NAME image_proc)
install(TARGETS image_proc_exe
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# install the launch file
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== image_rotate/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_rotate)

find_package(catkin REQUIRED COMPONENTS cmake_modules cv_bridge dynamic_reconfigure image_transport nodelet roscpp tf2_ros tf2_geometry_msgs)

# generate the dynamic_reconfigure config file
generate_dynamic_reconfigure_options(cfg/ImageRotate.cfg)

catkin_package()

find_package(OpenCV REQUIRED core imgproc)

# add the executable
include_directories(${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

add_library(${PROJECT_NAME} SHARED src/nodelet/image_rotate_nodelet.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)
install(TARGETS image_rotate
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

add_executable(image_rotate_exe src/node/image_rotate.cpp)
SET_TARGET_PROPERTIES(image_rotate_exe PROPERTIES OUTPUT_NAME image_rotate)
target_link_libraries(image_rotate_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

install(TARGETS image_rotate_exe
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== stereo_image_proc/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(stereo_image_proc)

find_package(catkin REQUIRED cv_bridge dynamic_reconfigure image_geometry image_proc image_transport message_filters nodelet sensor_msgs stereo_msgs)
find_package(Boost REQUIRED COMPONENTS thread)

# Dynamic reconfigure support
generate_dynamic_reconfigure_options(cfg/Disparity.cfg)

catkin_package(
  CATKIN_DEPENDS image_geometry image_proc sensor_msgs stereo_msgs
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include)

find_package(OpenCV REQUIRED)
include_directories(${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

# See note in image_proc/CMakeLists.txt
add_definitions(-DOPENCV_TRAITS_ENABLE_DEPRECATED)

# Nodelet library
add_library(${PROJECT_NAME} src/libstereo_image_proc/processor.cpp src/nodelets/disparity.cpp src/nodelets/point_cloud2.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES}
                                      ${OpenCV_LIBRARIES}
)
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)
install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Standalone node
add_executable(stereoimageproc_exe src/nodes/stereo_image_proc.cpp)
target_link_libraries(stereoimageproc_exe stereo_image_proc)
SET_TARGET_PROPERTIES(stereoimageproc_exe PROPERTIES OUTPUT_NAME stereo_image_proc)
install(TARGETS stereoimageproc_exe
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# install the launch file
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)

# install the include directory
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-image-pipeline (1.17.0-2) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Nov 2024 22:52:20 +0100

ros-image-pipeline (1.17.0-1) unstable; urgency=medium

  * New upstream version 1.17.0
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 25 Oct 2022 07:31:47 +0200

ros-image-pipeline (1.16.0-6) unstable; urgency=medium

  * Drop nose dependency (Closes: #1018628)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 14:45:03 +0200

ros-image-pipeline (1.16.0-5) unstable; urgency=medium

  * Add patch for new pluginlib

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 08 Jul 2022 12:43:10 +0200

ros-image-pipeline (1.16.0-4) unstable; urgency=medium

  * Add Breaks+Replaces libimage-proc-dev (<< 1.16.0-3)
    Thanks to Andreas Beckmann

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Jun 2022 07:41:46 +0200

ros-image-pipeline (1.16.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Jochen Sprickerhof ]
  * Move image_proc/package.xml to ros-image-proc
  * Add patch for new pluginlib
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Jun 2022 19:41:15 +0200

=== debian/control ===
Source: ros-image-pipeline
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Johannes 'josch' Schauer <josch@debian.org>,
 Timo Röhling <roehling@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 catkin (>= 0.8.10-1~),
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 libboost-filesystem-dev,
 libboost-python-dev,
 libcamera-info-manager-dev,
 libcv-bridge-dev (>= 1.15.0+ds-8~),
 libdynamic-reconfigure-config-init-mutex-dev,
 libgtest-dev,
 libimage-geometry-dev,
 libimage-transport-dev,
 libnodelet-topic-tools-dev,
 libnodeletlib-dev,
 librosconsole-dev,
 librostest-dev,
 libsensor-msgs-dev,
 libstd-srvs-dev,
 libstereo-msgs-dev,
 libtf-conversions-dev,
 libtf2-dev,
 libtf2-geometry-msgs-dev,
 libtf2-ros-dev,
 libtinyxml2-dev,
 python3-cv-bridge <!nocheck>,
 python3-dynamic-reconfigure,
 python3-image-geometry <!nocheck>,
 python3-opencv <!nocheck>,
 python3-rostest <!nocheck>,
 python3:any,
 ros-cmake-modules,
 ros-sensor-msgs,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/ros-image-pipeline
Vcs-Git: https://salsa.debian.org/science-team/ros-image-pipeline.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/image_pipeline

Package: python3-camera-calibration
Architecture: all
Section: python
Depends:
 python3,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Robot OS camera_calibration Python3 package
 This package is part of Robot OS (ROS). It provides routines for
 camera_calibration allows easy calibration of monocular or stereo
 cameras using a checkerboard calibration target. Python3 version.

Package: libdepth-image-proc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcv-bridge-dev (>= 1.15.0+ds-8~),
 libdepth-image-proc0d (= ${binary:Version}),
 libimage-geometry-dev,
 libimage-transport-dev,
 libnodelet-dev,
 libtf-conversions-dev,
 libtf2-dev,
 libtf2-ros-dev,
 ${misc:Depends},
Description: Robot OS depth-image-proc package - development
 This package is part of Robot OS (ROS). The package contains nodelets
 for processing depth images such as those produced by OpenNI camera.
 Functions include creating disparity images and point clouds, as well
 as registering (reprojecting) a depth image into another camera frame.
 .
 It contains C++ headers for the libdepth-image-proc.

Package: libdepth-image-proc0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS depth-image-proc package
 This package is part of Robot OS (ROS). The package contains nodelets
 for processing depth images such as those produced by OpenNI camera.
 Functions include creating disparity images and point clouds, as well
 as registering (reprojecting) a depth image into another camera frame.

Package: libimage-proc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcv-bridge-dev (>= 1.15.0+ds-8~),
 libdynamic-reconfigure-config-init-mutex-dev,
 libimage-geometry-dev,
 libimage-proc0d (= ${binary:Version}),
 libimage-transport-dev,
 libnodelet-dev,
 libnodelet-topic-tools-dev,
 libsensor-msgs-dev,
 ros-image-proc,
 ${misc:Depends},
Description: Robot OS mage-proc package - development
 This package is part of Robot OS (ROS). The package provides
 the library with routines for single image rectification and color
 processing.
 .
 It contains C++ headers for the libimage-proc.

Package: libimage-proc0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS Single image rectification and color processing
 This package is part of Robot OS (ROS). The package provides
 the library with routines for single image rectification and color
 processing.

Package: libimage-publisher-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcamera-info-manager-dev,
 libcv-bridge-dev (>= 1.15.0+ds-8~),
 libdynamic-reconfigure-config-init-mutex-dev,
 libimage-publisher0d (= ${binary:Version}),
 libimage-transport-dev,
 libnodelet-dev,
 libsensor-msgs-dev,
 ${misc:Depends},
Description: Robot OS image publishing - development
 This package is part of Robot OS (ROS). The package provides
 the library to publish an image stream from single image file
 or avi motion file
 .
 It contains C++ headers for the libimage-publisher.

Package: libimage-publisher0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS image publishing
 This package is part of Robot OS (ROS). The package provides
 the library to publish an image stream from single image file
 or avi motion file

Package: libimage-rotate-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcv-bridge-dev (>= 1.15.0+ds-8~),
 libdynamic-reconfigure-config-init-mutex-dev,
 libimage-rotate0d (= ${binary:Version}),
 libimage-transport-dev,
 libnodelet-dev,
 libtf2-geometry-msgs-dev,
 libtf2-ros-dev,
 ${misc:Depends},
Description: Robot OS image rotate - development
 This package is part of Robot OS (ROS). The package provides
 the library to that rotates an image stream in a way that
 minimizes the angle between a vector in some arbitrary frame
 and a vector in the camera frame.
 .
 It contains C++ headers for the libimage-rotate.

Package: libimage-rotate0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS image rotate stream
 This package is part of Robot OS (ROS). The package provides
 the library to that rotates an image stream in a way that
 minimizes the angle between a vector in some arbitrary frame
 and a vector in the camera frame.

Package: libimage-view-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcamera-calibration-parsers-dev,
 libcv-bridge-dev (>= 1.15.0+ds-8~),
 libdynamic-reconfigure-config-init-mutex-dev,
 libimage-transport-dev,
 libimage-view0d (= ${binary:Version}),
 libmessage-filters-dev,
 libnodelet-dev,
 libsensor-msgs-dev,
 libstd-srvs-dev,
 libstereo-msgs-dev,
 ${misc:Depends},
Description: Robot OS image_view - development
 This package is part of Robot OS (ROS). The package provides
 the library with a viewer for ROS image topics. Includes a specialized viewer
 for stereo + disparity images
 .
 It contains C++ headers for the libimage-view.

Package: libimage-view0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS image_view package
 This package is part of Robot OS (ROS). The package provides
 the library with a viewer for ROS image topics. Includes a specialized viewer
 for stereo + disparity images

Package: libstereo-image-proc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcv-bridge-dev (>= 1.15.0+ds-8~),
 libdynamic-reconfigure-config-init-mutex-dev,
 libimage-geometry-dev,
 libimage-proc-dev,
 libimage-transport-dev,
 libmessage-filters-dev,
 libnodelet-dev,
 libsensor-msgs-dev,
 libstereo-image-proc0d (= ${binary:Version}),
 libstereo-msgs-dev,
 ${misc:Depends},
Description: Robot OS stereo-image-proc - development
 This package is part of Robot OS (ROS). The package provides
 the library for stereo and single image rectification and
 disparity processing.
 .
 It contains C++ headers for the libstereo-image-proc.

Package: libstereo-image-proc0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS stereo-image-proc package
 This package is part of Robot OS (ROS). The package provides
 the library for stereo and single image rectification and
 disparity processing.

Package: python3-image-proc
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS image_proc Python 3 package
 This package is part of Robot OS (ROS). The package provides
 the library with routines for single image rectification and color
 processing. Python 3 package.

Package: python3-image-publisher
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS image_publisher Python 3 package
 This package is part of Robot OS (ROS). The package provides
 the library to publish an image stream from single image file
 or avi motion file. Python 3 package.

Package: python3-image-rotate
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS image_rotate Python 3 package
 This package is part of Robot OS (ROS). The package provides
 the library to that rotates an image stream in a way that
 minimizes the angle between a vector in some arbitrary frame
 and a vector in the camera frame. Python 3 package.

Package: python3-image-view
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS image_view Python 3 package
 This package is part of Robot OS (ROS). The package provides
 the library with a viewer for ROS image topics. Includes a specialized viewer
 for stereo + disparity images. Python 3 package.

Package: python3-stereo-image-proc
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS stereo_image_proc Python 3 package
 This package is part of Robot OS (ROS). The package provides
 the library for stereo and single image rectification and
 disparity processing. Python 3 package.

Package: ros-camera-calibration
Architecture: all
Section: utils
Depends:
 python3,
 python3-camera-calibration,
 python3-message-filters,
 python3-sensor-msgs,
 python3-std-srvs,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ROS camera_calibration nodes
 This package is part of Robot OS (ROS). It provides routines for
 camera_calibration allows easy calibration of monocular or stereo
 cameras using a checkerboard calibration target. This package
 constains ROS nodes.

Package: ros-image-proc
Architecture: any
Section: utils
Depends:
 libimage-proc0d,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libimage-proc-dev (<< 1.16.0-3),
Replaces:
 libimage-proc-dev (<< 1.16.0-3),
Description: ROS image_proc node
 This package is part of Robot OS (ROS). The package provides
 the library with routines for single image rectification and color
 processing. This package constains a ROS node.

Package: ros-image-publisher
Architecture: any
Section: utils
Depends:
 libimage-publisher0d,
 ${misc:Depends},
 ${shlibs:Depends},
Description: ROS image-publisher node
 This package is part of Robot OS (ROS). The package provides
 the library to publish an image stream from single image file
 or avi motion file. Contains a ROS node.

Package: ros-image-rotate
Architecture: any
Section: utils
Depends:
 libimage-rotate0d,
 ${misc:Depends},
 ${shlibs:Depends},
Description: ROS image-rotate node
 This package is part of Robot OS (ROS). The package provides
 the library to that rotates an image stream in a way that
 minimizes the angle between a vector in some arbitrary frame
 and a vector in the camera frame. Contains a ROS node.

Package: ros-image-view
Architecture: any
Section: utils
Depends:
 libimage-view0d,
 python3,
 python3-image-view,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ROS image_view node
 This package is part of Robot OS (ROS). The package provides
 the library with a viewer for ROS image topics. Includes a specialized viewer
 for stereo + disparity images. Contains ROS nodes.

Package: ros-stereo-image-proc
Architecture: any
Section: utils
Depends:
 libstereo-image-proc0d,
 ${misc:Depends},
 ${shlibs:Depends},
Description: ROS stereo_image_proc node
 This package is part of Robot OS (ROS). The package provides
 the library for stereo and single image rectification and
 disparity processing. Contains a ROS node.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

export ROS_SKIP_PACKAGES = image_pipeline

%:
	dh $@ --buildsystem=ros

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation depth_image_proc depth_image_proc/depth_conversions.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libdepth-image-proc-dev,
Features:
 test-name=libdepth-image-proc-dev,

Test-Command: ./debian/tests/compilation image_proc image_proc/ResizeConfig.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libimage-proc-dev,
Features:
 test-name=libimage-proc-dev,

Test-Command: ./debian/tests/compilation image_publisher image_publisher/ImagePublisherConfig.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libimage-publisher-dev,
Features:
 test-name=libimage-publisher-dev,

Test-Command: ./debian/tests/compilation image_rotate image_rotate/ImageRotateConfig.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libimage-rotate-dev,
Features:
 test-name=libimage-rotate-dev,

Test-Command: ./debian/tests/compilation image_view image_view/ImageViewConfig.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libimage-view-dev,
Features:
 test-name=libimage-view-dev,

Test-Command: ./debian/tests/compilation stereo_image_proc stereo_image_proc/DisparityConfig.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libstereo-image-proc-dev,
Features:
 test-name=libstereo-image-proc-dev,

Test-Command: python3 -c "import camera_calibration"
Restrictions:
 allow-stderr,
Depends:
 python3-camera-calibration,
Features:
 test-name=python3-camera-calibration,

Test-Command: python3 -c "import image_proc"
Restrictions:
 allow-stderr,
Depends:
 python3-image-proc,
Features:
 test-name=python3-image-proc,

Test-Command: python3 -c "import image_publisher"
Restrictions:
 allow-stderr,
Depends:
 python3-image-publisher,
Features:
 test-name=python3-image-publisher,

Test-Command: python3 -c "import image_rotate"
Restrictions:
 allow-stderr,
Depends:
 python3-image-rotate,
Features:
 test-name=python3-image-rotate,

Test-Command: python3 -c "import image_view"
Restrictions:
 allow-stderr,
Depends:
 python3-image-view,
Features:
 test-name=python3-image-view,

Test-Command: python3 -c "import stereo_image_proc"
Restrictions:
 allow-stderr,
Depends:
 python3-stereo-image-proc,
Features:
 test-name=python3-stereo-image-proc,
